
load(fullfile(params.dataDir, 'cam_calib.mat')); % Matlab params for camera calib
load(fullfile(params.dataDir, 'proj_calib.mat')); % Bouguet params for projector calib

R = zeros(3, 3, numberOfShots);
T = zeros(3, numberOfShots);
for i = 1:numberOfShots
    CamToWorld = [cameraParams.RotationMatrices(:, :, i)', cameraParams.TranslationVectors(i, :)'; [0, 0, 0, 1]];
    ProjToWorld = [eval(['Rc_', num2str(i)]), eval(['Tc_', num2str(i)]); [0, 0, 0, 1]];
    
    ProjToCam = ProjToWorld / CamToWorld;
    
    R(:, :, i) = ProjToCam(1:3, 1:3);
    T(:, i) = ProjToCam(1:3, 4);
end
meanT = mean(T, 2);
meanR = mean(R, 3);

% fprintf('Standard deviation of estimated translations:\n');
% disp(std(T, 0, 2));
% fprintf('Standard deviation of estimated rotations:\n');
% disp(std(R, 0, 3));
