function cameraParams = calibCamera(params,image)
% Performs geometric calibration of the camera.

% Reload calibration data
imagePointsBoardAll = reloadCalibrationData(params, 0);

% Estimate camera intrinsic parameters
[cameraParams, estimationErrors] = computeCameraParameters(imagePointsBoardAll, params.printedPoints);

% Save the parameters to disk
saveCalibrationParameters(cameraParams, image, params.dataDir, estimationErrors);

% Display the non-linear image distortions to the user
if params.showFigures
    % Load the calibration parameters
    load(fullfile(params.dataDir, 'cam_calib'));
    visualize_distortions;
    pause(0.3);
end

end