function[cameraParams, estimationErrors]  = computeCameraParameters( imagePointsBoardAll,boardPoints )
% Computes the intrisic and extrinsic parameters of the camera.

[cameraParams, ~, estimationErrors] = estimateCameraParameters(imagePointsBoardAll, boardPoints,...
    'EstimateTangentialDistortion', true, 'NumRadialDistortionCoefficients', 3);

% Display the camera parameter matrix and fitting error
fprintf('\nCamera intrinsic parameters:\n\n');
disp(cameraParams.IntrinsicMatrix');
fprintf('Fitting error: %.4f px\n', cameraParams.MeanReprojectionError);

end