function imagePoints = computeProjectedCornersByHomograpy(params, H_projectorToBoard_prewarp)
% Computes the new positions of the corners in the projected pattern after
% it has been prewarped.

fprintf('computing corners for the prewarped projected image \n');

xProj = H_projectorToBoard_prewarp * [params.projectedPoints'; ones(1, size(params.projectedPoints, 1))];
xProj = xProj ./ (ones(3, 1) * xProj(3, :));
imagePoints = xProj(1:2, :)';

% Save the computed corner positions to disk
save(fullfile(params.dataDir, [num2str(params.currentImageNum, '%.2d'), '_x_proj_step_2']), 'imagePoints');

end