function clinear = inversegamma(filepath)
% This function applies an inverse gamma transformation to linearize an sRGB image.
% https://en.wikipedia.org/wiki/SRGB#The_reverse_transformation

% Check if the input is a path to the image or the image itself
if ischar(filepath)
    img = im2double(imread(filepath));
else
    img = im2double(filepath);
end

% Perform the linearization
clinear = zeros(size(img));
s = 0.04045; a = 0.055;
for i = 1:3
    csrgb = img(:, :, i);
    tmp1 = csrgb < s;
    tmp1 = csrgb .* tmp1 ./ 12.92;
    tmp2 = csrgb > s;
    tmp2 = csrgb .* tmp2;
    tmp2 = (tmp2 + a) ./ (1 + a);
    tmp2 = tmp2 .^ 2.4;
    clinear(:, :, i) = tmp1 + tmp2;
end

end