function [imagePointsBoardAll, projectorPointsAll] = reloadCalibrationData(params, type)
% Reloads the previously computed parameters.
%  	if type = 0 : camera
%   if type = 1 : projector

if type == 0
    filenames = dir(fullfile(params.dataDir,'*_x_cam_printed*.mat'));
elseif type == 1
    filenames = dir(fullfile(params.dataDir,'*_x_cam_projected*.mat'));
    filenamesProj = dir(fullfile(params.dataDir,'*_x_proj_step*.mat'));
else
    error('type must be 0 or 1 respectively correspoding to camera and projector parameters');
end

numInternalCorners = prod(params.printedPatternSize - 1);
numberOfFiles = numel(filenames);

imagePointsBoardAll = zeros(numInternalCorners, 2, numberOfFiles);
projectorPointsAll = zeros(numInternalCorners, 2, numberOfFiles);
for i = 1:numberOfFiles
    load(fullfile(params.dataDir, filenames(i).name));
    imagePointsBoardAll(:, :, i) = imagePoints;
    if type == 1
        load(fullfile(params.dataDir, filenamesProj(i).name));
        projectorPointsAll(:, :, i) = imagePoints;
    end
end

end