function  saveCalibrationParameters(cameraParams,currentImg,dataDir,estimationErrors) %#ok<INUSD>
% This function saves the parameters of the camera calibration.

% Display the estimated camera calibration
cameraMatrix = cameraParams.IntrinsicMatrix';
[ny, nx, ~] = size(currentImg); %#ok<ASGLU> %saved
fc(1) = cameraMatrix(1, 1);
fc(2) = cameraMatrix(2, 2); %#ok<*NASGU>
cc = cameraMatrix(1:2, 3);
alpha_c = 0;
kc = [cameraParams.RadialDistortion(1:2), cameraParams.TangentialDistortion, cameraParams.RadialDistortion(3)];
cc_error(1) = cameraParams.MeanReprojectionError;
cc_error(2) = cameraParams.MeanReprojectionError;

% Save the calibration parameters
save(fullfile(dataDir, 'cam_calib'), 'nx', 'ny', 'fc', 'cc', 'alpha_c', 'kc', 'cc_error', 'cameraParams', 'estimationErrors', 'cameraParams');

end