function highlightDetectedCorners(projectedPatternOriginal, boardPointsProjImg, projectedPoints)
% Highlights the detected corners in the projected image, thus providing
% feedback to the user of a successfully executed step.

% Create an image that highlights the detected corners (plots marker above the corners)
cornersImg = insertShape(im2uint8(projectedPatternOriginal), 'FilledCircle',...
    [boardPointsProjImg(:, 1), boardPointsProjImg(:, 2), ones(size(boardPointsProjImg, 1), 1) * 10], 'Color', 'yellow', 'Opacity', 1);

% Display the image that highlights the detected corners
projectImage(cornersImg);
pause(0.8);

% Create an image that highlights the detected corners (plots marker above the corners)
cornersImg = insertShape(im2uint8(projectedPatternOriginal), 'FilledCircle',...
    [projectedPoints(:, 1), projectedPoints(:, 2), ones(size(projectedPoints, 1), 1) * 10], 'Color', 'green', 'Opacity', 1);

% Display the image that highlights the detected corners
projectImage(cornersImg);
pause(0.8);

end